Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 187598 - IDE doesn't support WebLogic WS Tester capability
IDE doesn't support WebLogic WS Tester capability
Status: VERIFIED FIXED
Product: webservices
Classification: Unclassified
Component: JAX-WS
6.x
All All
: P3 (vote)
: 7.0
Assigned To: Milan Kuchtiak
issues@webservices
69patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-15 12:55 UTC by Milan Kuchtiak
Modified: 2010-07-19 09:11 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Milan Kuchtiak 2010-06-15 12:55:47 UTC
WebLogic implements smart WS Tester application that should be used to test web services.

IDE should open browser with the following URL (example) :
http://localhost:7001/wls_utc/begin.do?wsdlUrl=http://localhost:7001/Hello/HelloService?wsdl

where Hello is the port name (EJB project) or ContextRoot (Web project)
HelloService is the service name.
Comment 1 Quality Engineering 2010-06-17 03:18:03 UTC
Integrated into 'main-golden', will be available in build *201006170001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/3b6f4e0e58a3
User: mkuchtiak@netbeans.org
Log: #187597, #187598 : enable JSR109 deployment on WebLogic, use WebLogic Tester capability to test web services
Comment 2 Milan Kuchtiak 2010-06-17 15:18:10 UTC
See the following change sets:
http://hg.netbeans.org/web-main/rev/3b6f4e0e58a3
http://hg.netbeans.org/web-main/rev/79c385f847b0
Comment 3 Quality Engineering 2010-06-18 03:19:54 UTC
Integrated into 'main-golden', will be available in build *201006180001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/cc860b65936a
User: mkuchtiak@netbeans.org
Log: #187597, #187598, #187599 : use WSStack API to compute URL/test URL for web service in Maven project
Comment 4 Jaroslav Pospisil 2010-06-24 14:22:33 UTC
v.
Comment 5 rbalada 2010-06-24 21:31:18 UTC
main #3b6f4e0e58a3 transplanted to release691 #157919640e1f
main #79c385f847b0 transplanted to release691 #526f146c1a8a
main #cc860b65936a transplanted to release691 #5ddffdc5c315


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo